# Uses of Enum Class
org.apache.sysds.common.Types.OpOpDnn

Packages that use Types.OpOpDnn
Package
Description
org.apache.sysds.common
org.apache.sysds.hops
org.apache.sysds.hops.rewrite
org.apache.sysds.lops

## Uses of Types.OpOpDnn in org.apache.sysds.common

Methods in org.apache.sysds.common that return Types.OpOpDnn
Modifier and Type
Method
Description
`static Types.OpOpDnn`
Types.OpOpDnn.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Types.OpOpDnn[]`
Types.OpOpDnn.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Types.OpOpDnn in org.apache.sysds.hops

Methods in org.apache.sysds.hops that return Types.OpOpDnn
Modifier and Type
Method
Description
`Types.OpOpDnn`
DnnOp.`getOp()`
Methods in org.apache.sysds.hops with parameters of type Types.OpOpDnn
Modifier and Type
Method
Description
`void`
DnnOp.`setOp(Types.OpOpDnn op)`
Constructors in org.apache.sysds.hops with parameters of type Types.OpOpDnn
Modifier
Constructor
Description
``
`DnnOp(String l, Types.DataType dt, Types.ValueType vt, Types.OpOpDnn o, ArrayList<Hop> inp)`
Create a hop from the builtin expression

## Uses of Types.OpOpDnn in org.apache.sysds.hops.rewrite

Methods in org.apache.sysds.hops.rewrite with parameters of type Types.OpOpDnn
Modifier and Type
Method
Description
`static boolean`
HopRewriteUtils.`isDnn(Hop hop, Types.OpOpDnn type)`
`static boolean`
HopRewriteUtils.`isDnn(Hop hop, Types.OpOpDnn... types)`

## Uses of Types.OpOpDnn in org.apache.sysds.lops

Methods in org.apache.sysds.lops that return Types.OpOpDnn
Modifier and Type
Method
Description
`Types.OpOpDnn`
DnnTransform.`getOp()`
method to get operation type
Constructors in org.apache.sysds.lops with parameters of type Types.OpOpDnn
Modifier
Constructor
Description
``
`DnnTransform(Lop input, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k, double intermediateMemBudget)`
Constructor when we have one input.
``
`DnnTransform(Lop input1, Lop input2, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`
``
`DnnTransform(Lop input1, Lop input2, Lop input3, Types.OpOpDnn op, Types.DataType dt, Types.ValueType vt, Types.ExecType et, int k)`